Prev |  | Next

# FcDirCacheRead

## Name

FcDirCacheRead -- read or construct a directory cache

## Synopsis

    #include <fontconfig/fontconfig.h>

``FcCache * FcDirCacheRead`(const FcChar8 *dir, FcBool force, FcConfig *config);`

## Description

This returns a cache for `dir`. If `force` is FcFalse, then an existing, valid cache file will be used. Otherwise, a new cache will be created by scanning the directory and that returned.

Prev | Home | Next
FcDirCacheRescan | Up | FcDirCacheLoadFile